/* 
   Rombank (Java Edition) - A imbNES rombank.bin generator for multiple platforms
   Author: Bruno Freitas (aka Sparrow) - 03/2004
   Contact: bootsector@ig.com.br
 
   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

/** This is the rombank Java Edtion Main Class. It encapsulates all another
 * necessary classes to have the work done!!
 */
public class rombank {
   /** This is the main procedure...
    * @param args The command line parameters are passed through this one! It should contain the
    * directory where the ROMs are located. Take a look at the program usage
    * instructions!
    */   
   public static void main(String args[]) {
      System.out.println("rombank (Java Edition) v0.1a - A multi-platform rombank utility for imbNES");
      System.out.println("By: Bruno Freitas (aka Sparrow) - 03/2004 - bootsector@ig.com.br");
      
      if (args.length == 0) {
         System.out.println("\nUsage: java -jar rombank.jar <ROMs Directory>");
         System.exit(1);
      }
      
      RomsList list = new RomsList(args[0]);
      TOC toc = new TOC(list);
      Contents contents = new Contents(list);
      
      System.out.println("\n" + list.romsCount() + " ROM(s) found!");
      
      System.out.println("\nPlease wait!\nGenerating Table Of Contents...");
      if(!toc.writeTOC("rombank.bin"))
         System.exit(1);
      
      System.out.println("\nGenerating rombank contents...");
      contents.writeContents("rombank.bin");
      
      System.exit(0);
   }
}
